//
//  EHDefinations.h
//  EweiSDK
//
//  Created by Kiwi on 2018/1/18.
//  Copyright © 2018年 infocare. All rights reserved.
//

#ifndef EHDefinations_h
#define EHDefinations_h

// 授权失效通知
extern NSString *const EHAuthorizeFailureNotification;

// 在线客服新消息通知
extern NSString *const EHNewChatMessageNotification;

// 请求错误类型
typedef NS_ENUM(NSInteger, EHRequestErrorCode) {
    EHRequestErrorCodeParseError     = 200,
    EHRequestErrorCodeRequestError   = 201,
    EHRequestErrorCodeAccessError    = 202,
    EHRequestErrorCodeAuthorizeError = 203,
    EHRequestErrorCodeTokenError = 3001,
    EHRequestErrorCodeTokenInvalid = 3002,
    EHRequestErrorCodeDomainInvalid = 5001
};

#endif /* EHDefinations_h */
