//
//  EHTicketViewController.h
//  EweiSDK
//
//  Created by Kiwi on 2018/1/25.
//  Copyright © 2018年 infocare. All rights reserved.
//

#import "EHViewController.h"

@class EHTicket;

@interface EHTicketViewController : EHViewController

@property (strong, nonatomic) EHTicket * ticket;

/*
 参数 title 为 self.navigationItem.title
 允许传 nil，默认 title 为工单主题
 */
- (instancetype)initWithTitle:(NSString*)title;


/*
 用于设置自定义工单 header 视图
 */
- (void)setCustomTicketHeaderView:(UIView*)ticketHeaderView;


/*
 用于设置是否隐藏工单输入框中位置消息按钮
 */
- (void)setHiddenTicketInputBarMoreLocation:(BOOL)isHiddenMoreLocation;

/*
 用于更新工单 header 视图内容及布局
 如使用自定义工单 header，需要重载此方法
 */
- (void)shouldUpdateTicketHeaderView;


@end
