//
//  EweiSDK.h
//  EweiSDK
//
//  Created by Kiwi on 16/7/12.
//  Copyright © 2016年 infocare. All rights reserved.
//

// Basic
// 用于 App Key、App Secret 注册，用户登录授权等基本操作
#import "EHSDKManager.h"

// 基础声明
#import "EHDefinations.h"

// 用于内置 UI 的样式设置
#import "EHStyleConfig.h"



// 用于 API 调用
#import "EHHttpRequest.h"



// Data Models
// 用户数据类
#import "EHUser.h"
// 工单数据类
#import "EHTicket.h"
// 标签数据类
#import "EHTag.h"
// 文件数据类
#import "EHAttachment.h"
// 工单抄送数据类
#import "EHCCItem.h"
// 文章数据类
#import "EHArticle.h"
// 文章目录数据类
#import "EHArticleTopic.h"



// View Controllers
// 论坛页面
#import "EHForumViewController.h"
// 帮助文档页面
#import "EHHelpViewController.h"
// 在线客服页面
#import "EHChatViewController.h"
// 提交工单页面
#import "EHTicketAddController.h"
// 工单详情页面
#import "EHTicketViewController.h"
// 文章详情页面
#import "EHArticleViewController.h"
